<div class="grid">
	<header class="row no-padding clearfix">
		<div class="col-1">
			<h1>Rapport</h1>
		</div>
	</header>
	<div ng-show="hasHoldings">
		<div class="row clearfix report col-1-2">
	
				<form novalidate>
					<div svab-feedback-target="report.order"></div>
					<fieldset>
	
	
						<legend >Beställ ny rapport</legend>
	
	
						<div class="col-1-2 clearfix">
	
	                        <span ng-show="companyType == 'AB'" class="custom-radiobutton">
	                            <input type="radio" 
	                            	   id="aktiebok"
	                            	   name="documentType"
	                            	   ng-model="report.documentType"
	                            	   ng-value="2" 
	                            	   required/>
	                            <label for="aktiebok" class="col-1">Aktiebok</label>
	                            <input type="radio"
	                                   id="transaktioner"
	                                   name="documentType"
	                                   ng-model="report.documentType"
	                                   ng-value="3"
	                                   required/>
	                         	<label for="transaktioner" class="col-1"> Aktiebokshändelser</label>
	                        </span>
	                        <span ng-show="companyType == 'HB'" class="custom-radiobutton">
	                        	<input type="radio"
	                        		   id="handelsbolag" 
	                        		   name="documentType" 
	                        		   ng-model="report.documentType" 
	                        		   ng-value="6" 
	                        		   required/>
	                       		<label for="handelsbolag" class="col-1">Ägarfördelning</label>
	                        </span>
						</div>
					<div class="col-1-2 clearfix no-padding buttons">
						<button type="submit" ng-hide="fetchingReport" ng-click="orderReport(report)">Beställ rapport</button>
						<span><button ng-show="fetchingReport">Hämtar rapport<svab-spinner/></button></span>
					</div>
					</fieldset>
	
	
				</form>
	
		</div>
		<div ng-show="docstatuses" class="row clearfix fake-table">
			<div class="fake-heading">
				<h1 class="col-1-5">Tidigare Rapporter</h1>
			<dir-pagination-controls class="col-4-5" boundary-links="true" on-page-change="goToPage(newPageNumber, oldPageNumber)"></dir-pagination-controls>			
			</div>
			<ul class="clearfix">
				<li class="col-4-5 fake-row-heading clearfix">
					<ul class="col-3-4">
						<li class="col-1-6 fake-heading">Datum</li>
						<li class="col-1-3 fake-heading">Rapporttyp</li>
						<li class="col-1-3 fake-heading">Beställd av</li>
					</ul>
					<ul class="col-1-4">
					</ul>
				</li>
				<div svab-feedback-target="report.status.all"></div>
				<div svab-feedback-target="report.fetch"></div>
				<li class="col-4-5 fake-row clearfix" dir-paginate="docstatus in docstatuses | filter: {status: 4} | itemsPerPage: limit" total-items="total">
	
					<ul class="col-3-4">
						<li class="col-1-6"><span>{{docstatus.deliveredDate}}<br/> {{docstatus.deliveredTime}}</span></li>
						<li class="col-1-3">
							<span ng-show="docstatus.type == 2">Aktiebok</span>
							<span ng-show="docstatus.type == 3">Aktiebokshändelser<br/>({{docstatus.fromDate}} - {{docstatus.toDate}})</span>
							<span ng-show="docstatus.type == 6">Ägarfördelning</span>	
						</li>
						<li class="col-1-3"><span>{{docstatus.orderedBy}}</span></li>
					</ul>
					<ul class="col-1-4 edit-this">
	
						<li class="col-1">
							<span class="edit" ng-click="openReport(docstatus.fileName)">Hämta</span>
							<span class="divider">|</span>
							<span class="delete" really-message="Bekräfta radering" really-click="invalidateReport(docstatus.documentNumber)">Radera</span>
						</li>
					</ul>
				</li>
			</ul>
		</div>
	</div>
	<div ng-hide="hasHoldings" class="row clearfix">
		<p class="col-1">Rapporter kan beställas när Aktiebokshändelser har registerats.</p>
	</div>
</div>
